{% extends 'newbase.html' %}
{% block css %}
<link href="/static/newpages/plugins/bower_components/switchery/dist/switchery.min.css" rel="stylesheet">
{% endblock %}
{% block content %}
<div class="row bg-title">
    <div class="col-lg-3 col-md-4 col-sm-4 col-xs-12">
        <h4 class="page-title">Tabs</h4> </div>
    <div class="col-lg-9 col-sm-8 col-md-8 col-xs-12">
        <ol class="breadcrumb">
            <li><a href="/tasks/dashboard/">Dashboard</a></li>
            <li><a>a new branch profile</a></li>
        </ol>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="white-box">
            <p class="text-muted m-b-30 font-13"> Branch Fields </p>
            <div class="row">
                <div class="col-sm-6 col-xs-12">
                    <form method="post">
                        {% csrf_token %}
                        <div class="form-group">
                            <label>选择项目</label>
                                <select class="form-control" name="project_name">
                                    <option>---------</option>
                                    {% for project in projects %}
                                        <option value="{{ project.name }}">{{ project.name }}</option>
                                    {% endfor %}
                                </select>
                        </div>
                        <div class="form-group">
                            <label for="branch_name">分支名</label>
                            <input type="text" class="form-control" id="branch_name" name="branch_name">
                            <span class="help-block"><small>确保所选项目存在该分支.</small></span>
                        </div>
                        <div class="form-group">
                            <label for="branch_domain">项目域名</label>
                            <input type="text" class="form-control" id="branch_domain" name="branch_domain"> </div>
                        <div class="form-group">
                            <label for="hosts">目标主机</label>
                            <input type="text" class="form-control" id="hosts" name="hosts" placeholder="多主机,分隔"> </div>
                        <div class="form-group">
                            <label>自动部署</label>
                            <div>
                                <input type="checkbox" name="auto_deploy" class="js-switch" data-color="#99d683" data-size="small" style="display: none;" data-switchery="true">
                                <span class="help-block"><small>选择是否对该分支开启自动部署.</small></span>
                            </div>
                        </div>
                        <a href="{{ request.META.HTTP_REFERER }}"><button type="button" class="btn btn-inverse waves-effect waves-light">Cancel</button></a>
                        <button type="submit" class="btn btn-success waves-effect waves-light m-r-10">Submit</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}
{% block js %}
<script src="/static/cqcicd/admin/admin.js"></script>
<script src="/static/newpages/plugins/bower_components/switchery/dist/switchery.min.js"></script>
{% endblock %}